For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deprecated Products

Legacy product endpoints (deprecated).

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
categorystring[]OptionalExample: ["POD_SHOP","APPAREL","EQUIPMENT"]
expandstring[]OptionalExample: ["items._links.areas"]
Responses
200

Returns a ProductCollection

application/json
_totalnumberRequired
get/products
GET /apis/v2/products HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a ProductCollection

{
  "items": [
    {
      "id": "text",
      "sku": "text",
      "name": "text",
      "description": "text",
      "type": "LIFESTYLE",
      "picture": {
        "small": {
          "href": "text"
        },
        "medium": {
          "href": "text"
        },
        "large": {
          "href": "text"
        }
      },
      "price": 1,
      "areas": {
        "items": [
          "text"
        ],
        "_total": 1,
        "_links": {
          "self": {
            "href": "text"
          }
        }
      },
      "_links": {}
    }
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
productIdstringRequiredExample: 7789
Query parameters
expandstring[]Optional
Responses
200

Returns a Product

application/json
idstringRead-onlyRequired
skustringRequired
namestringRequired
descriptionstringRequired
typestring · enumRequiredPossible values:
imagesstring[]Read-onlyRequiredDeprecated
pricenumberRequired
_linksobjectRequired
get/products/{productId}
GET /apis/v2/products/{productId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a Product

{
  "id": "text",
  "sku": "text",
  "name": "text",
  "description": "text",
  "type": "LIFESTYLE",
  "picture": {
    "small": {
      "href": "text"
    },
    "medium": {
      "href": "text"
    },
    "large": {
      "href": "text"
    }
  },
  "price": 1,
  "areas": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "_links": {}
}

Last updated

Was this helpful?